diff -ur stock/linux-2.4.20-pre5/drivers/video/radeon.h linux-2.4.20-pre5/drivers/video/radeon.h
--- stock/linux-2.4.20-pre5/drivers/video/radeon.h	Mon Feb 25 11:38:07 2002
+++ linux-2.4.20-pre5/drivers/video/radeon.h	Thu Sep  5 12:49:46 2002
@@ -12,6 +12,7 @@
 #define PCI_DEVICE_ID_RADEON_LW		0x4c57
 #define PCI_DEVICE_ID_RADEON_LY		0x4c59
 #define PCI_DEVICE_ID_RADEON_LZ		0x4c5a
+#define PCI_DEVICE_ID_RADEON_PM		0x4c52
 #define PCI_DEVICE_ID_RADEON_QL		0x514c
 #define PCI_DEVICE_ID_RADEON_QW		0x5157
 
diff -ur stock/linux-2.4.20-pre5/drivers/video/radeonfb.c linux-2.4.20-pre5/drivers/video/radeonfb.c
--- stock/linux-2.4.20-pre5/drivers/video/radeonfb.c	Thu Sep  5 13:05:51 2002
+++ linux-2.4.20-pre5/drivers/video/radeonfb.c	Thu Sep  5 12:49:46 2002
@@ -100,7 +100,8 @@
 	RADEON_QW,	/* Radeon RV200 (7500) */
 	RADEON_LW,	/* Radeon Mobility M7 */
 	RADEON_LY,	/* Radeon Mobility M6 */
-	RADEON_LZ	/* Radeon Mobility M6 */
+	RADEON_LZ,	/* Radeon Mobility M6 */
+	RADEON_PM	/* Radeon Mobility P/M */
 };
 
 
@@ -127,6 +128,7 @@
 	{ PCI_VENDOR_ID_ATI, PCI_DEVICE_ID_RADEON_LW, PCI_ANY_ID, PCI_ANY_ID, 0, 0, RADEON_LW},
 	{ PCI_VENDOR_ID_ATI, PCI_DEVICE_ID_RADEON_LY, PCI_ANY_ID, PCI_ANY_ID, 0, 0, RADEON_LY},
 	{ PCI_VENDOR_ID_ATI, PCI_DEVICE_ID_RADEON_LZ, PCI_ANY_ID, PCI_ANY_ID, 0, 0, RADEON_LZ},
+	{ PCI_VENDOR_ID_ATI, PCI_DEVICE_ID_RADEON_PM, PCI_ANY_ID, PCI_ANY_ID, 0, 0, RADEON_PM},
 	{ 0, }
 };
 MODULE_DEVICE_TABLE(pci, radeonfb_pci_table);
@@ -856,6 +858,9 @@
 			strcpy(rinfo->name, "Radeon M6 LZ ");
 			rinfo->hasCRTC2 = 1;
 			break;
+	        case PCI_DEVICE_ID_RADEON_PM:
+			strcpy(rinfo->name, "Radeon P/M ");
+			rinfo->hasCRTC2 = 1;
 		default:
 			return -ENODEV;
 	}
@@ -924,6 +929,7 @@
 		case PCI_DEVICE_ID_RADEON_LW:
 		case PCI_DEVICE_ID_RADEON_LY:
 		case PCI_DEVICE_ID_RADEON_LZ:
+		case PCI_DEVICE_ID_RADEON_PM:
 			rinfo->dviDisp_type = MT_LCD;
 			break;
 		default:
@@ -2864,6 +2870,7 @@
 			case PCI_DEVICE_ID_RADEON_LW:
 			case PCI_DEVICE_ID_RADEON_LY:
 			case PCI_DEVICE_ID_RADEON_LZ:
+			case PCI_DEVICE_ID_RADEON_PM:
 				break;
 			default:
 				return PBOOK_SLEEP_REFUSE;
